package com.sinosig.web.module.domain;

import java.io.Serializable;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.List;
import java.util.ArrayList;

import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * 应用实体[投保单]
 */
public class DBD implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 投保单号
     */
    private String Tbdh;

    @JsonIgnore
    private boolean TbdhDirtyFlag;
    /**
     * 更新时间
     */
    private Timestamp UpdateDate;

    @JsonIgnore
    private boolean UpdateDateDirtyFlag;
    /**
     * 核保信息
     */
    private String Hbxx;

    @JsonIgnore
    private boolean HbxxDirtyFlag;
    /**
     * 操作员
     */
    private String Czr;

    @JsonIgnore
    private boolean CzrDirtyFlag;
    /**
     * 车牌号
     */
    private String Cph;

    @JsonIgnore
    private boolean CphDirtyFlag;
    /**
     * 投保单标识
     */
    private String DBDId;

    @JsonIgnore
    private boolean DBDIdDirtyFlag;
    /**
     * 输入日期
     */
    private Timestamp Srrq;

    @JsonIgnore
    private boolean SrrqDirtyFlag;
    /**
     * 更新人
     */
    private String UpdateMan;

    @JsonIgnore
    private boolean UpdateManDirtyFlag;
    /**
     * 投保单名称
     */
    private String DBDName;

    @JsonIgnore
    private boolean DBDNameDirtyFlag;
    /**
     * 建立人
     */
    private String CreateMan;

    @JsonIgnore
    private boolean CreateManDirtyFlag;
    /**
     * 保险起期
     */
    private Timestamp Bxqq;

    @JsonIgnore
    private boolean BxqqDirtyFlag;
    /**
     * 影像
     */
    private String Yx;

    @JsonIgnore
    private boolean YxDirtyFlag;
    /**
     * 核保
     */
    private String Hb;

    @JsonIgnore
    private boolean HbDirtyFlag;
    /**
     * 建立时间
     */
    private Timestamp CreateDate;

    @JsonIgnore
    private boolean CreateDateDirtyFlag;
    /**
     * 被保险人
     */
    private String Bbxr;

    @JsonIgnore
    private boolean BbxrDirtyFlag;
    /**
     * 协议号
     */
    private String Xyh;

    @JsonIgnore
    private boolean XyhDirtyFlag;

    /**
     * 获取 [投保单号]
     */
    @JsonProperty("tbdh")
    public String getTbdh(){
        return Tbdh ;
    }

    /**
     * 设置 [投保单号]
     */
    @JsonProperty("tbdh")
    public void setTbdh(String  tbdh){
        this.Tbdh = tbdh ;
        this.TbdhDirtyFlag = true ;
    }

    /**
     * 获取 [投保单号]脏标记
     */
    @JsonIgnore
    public boolean getTbdhDirtyFlag(){
        return this.TbdhDirtyFlag ;
    }

    /**
     * 获取 [更新时间]
     */
    @JsonProperty("updatedate")
    public Timestamp getUpdateDate(){
        return UpdateDate ;
    }

    /**
     * 设置 [更新时间]
     */
    @JsonProperty("updatedate")
    public void setUpdateDate(Timestamp  updateDate){
        this.UpdateDate = updateDate ;
        this.UpdateDateDirtyFlag = true ;
    }

    /**
     * 获取 [更新时间]脏标记
     */
    @JsonIgnore
    public boolean getUpdateDateDirtyFlag(){
        return this.UpdateDateDirtyFlag ;
    }

    /**
     * 获取 [核保信息]
     */
    @JsonProperty("hbxx")
    public String getHbxx(){
        return Hbxx ;
    }

    /**
     * 设置 [核保信息]
     */
    @JsonProperty("hbxx")
    public void setHbxx(String  hbxx){
        this.Hbxx = hbxx ;
        this.HbxxDirtyFlag = true ;
    }

    /**
     * 获取 [核保信息]脏标记
     */
    @JsonIgnore
    public boolean getHbxxDirtyFlag(){
        return this.HbxxDirtyFlag ;
    }

    /**
     * 获取 [操作员]
     */
    @JsonProperty("czr")
    public String getCzr(){
        return Czr ;
    }

    /**
     * 设置 [操作员]
     */
    @JsonProperty("czr")
    public void setCzr(String  czr){
        this.Czr = czr ;
        this.CzrDirtyFlag = true ;
    }

    /**
     * 获取 [操作员]脏标记
     */
    @JsonIgnore
    public boolean getCzrDirtyFlag(){
        return this.CzrDirtyFlag ;
    }

    /**
     * 获取 [车牌号]
     */
    @JsonProperty("cph")
    public String getCph(){
        return Cph ;
    }

    /**
     * 设置 [车牌号]
     */
    @JsonProperty("cph")
    public void setCph(String  cph){
        this.Cph = cph ;
        this.CphDirtyFlag = true ;
    }

    /**
     * 获取 [车牌号]脏标记
     */
    @JsonIgnore
    public boolean getCphDirtyFlag(){
        return this.CphDirtyFlag ;
    }

    /**
     * 获取 [投保单标识]
     */
    @JsonProperty("dbdid")
    public String getDBDId(){
        return DBDId ;
    }

    /**
     * 设置 [投保单标识]
     */
    @JsonProperty("dbdid")
    public void setDBDId(String  dBDId){
        this.DBDId = dBDId ;
        this.DBDIdDirtyFlag = true ;
    }

    /**
     * 获取 [投保单标识]脏标记
     */
    @JsonIgnore
    public boolean getDBDIdDirtyFlag(){
        return this.DBDIdDirtyFlag ;
    }

    /**
     * 获取 [输入日期]
     */
    @JsonProperty("srrq")
    public Timestamp getSrrq(){
        return Srrq ;
    }

    /**
     * 设置 [输入日期]
     */
    @JsonProperty("srrq")
    public void setSrrq(Timestamp  srrq){
        this.Srrq = srrq ;
        this.SrrqDirtyFlag = true ;
    }

    /**
     * 获取 [输入日期]脏标记
     */
    @JsonIgnore
    public boolean getSrrqDirtyFlag(){
        return this.SrrqDirtyFlag ;
    }

    /**
     * 获取 [更新人]
     */
    @JsonProperty("updateman")
    public String getUpdateMan(){
        return UpdateMan ;
    }

    /**
     * 设置 [更新人]
     */
    @JsonProperty("updateman")
    public void setUpdateMan(String  updateMan){
        this.UpdateMan = updateMan ;
        this.UpdateManDirtyFlag = true ;
    }

    /**
     * 获取 [更新人]脏标记
     */
    @JsonIgnore
    public boolean getUpdateManDirtyFlag(){
        return this.UpdateManDirtyFlag ;
    }

    /**
     * 获取 [投保单名称]
     */
    @JsonProperty("dbdname")
    public String getDBDName(){
        return DBDName ;
    }

    /**
     * 设置 [投保单名称]
     */
    @JsonProperty("dbdname")
    public void setDBDName(String  dBDName){
        this.DBDName = dBDName ;
        this.DBDNameDirtyFlag = true ;
    }

    /**
     * 获取 [投保单名称]脏标记
     */
    @JsonIgnore
    public boolean getDBDNameDirtyFlag(){
        return this.DBDNameDirtyFlag ;
    }

    /**
     * 获取 [建立人]
     */
    @JsonProperty("createman")
    public String getCreateMan(){
        return CreateMan ;
    }

    /**
     * 设置 [建立人]
     */
    @JsonProperty("createman")
    public void setCreateMan(String  createMan){
        this.CreateMan = createMan ;
        this.CreateManDirtyFlag = true ;
    }

    /**
     * 获取 [建立人]脏标记
     */
    @JsonIgnore
    public boolean getCreateManDirtyFlag(){
        return this.CreateManDirtyFlag ;
    }

    /**
     * 获取 [保险起期]
     */
    @JsonProperty("bxqq")
    public Timestamp getBxqq(){
        return Bxqq ;
    }

    /**
     * 设置 [保险起期]
     */
    @JsonProperty("bxqq")
    public void setBxqq(Timestamp  bxqq){
        this.Bxqq = bxqq ;
        this.BxqqDirtyFlag = true ;
    }

    /**
     * 获取 [保险起期]脏标记
     */
    @JsonIgnore
    public boolean getBxqqDirtyFlag(){
        return this.BxqqDirtyFlag ;
    }

    /**
     * 获取 [影像]
     */
    @JsonProperty("yx")
    public String getYx(){
        return Yx ;
    }

    /**
     * 设置 [影像]
     */
    @JsonProperty("yx")
    public void setYx(String  yx){
        this.Yx = yx ;
        this.YxDirtyFlag = true ;
    }

    /**
     * 获取 [影像]脏标记
     */
    @JsonIgnore
    public boolean getYxDirtyFlag(){
        return this.YxDirtyFlag ;
    }

    /**
     * 获取 [核保]
     */
    @JsonProperty("hb")
    public String getHb(){
        return Hb ;
    }

    /**
     * 设置 [核保]
     */
    @JsonProperty("hb")
    public void setHb(String  hb){
        this.Hb = hb ;
        this.HbDirtyFlag = true ;
    }

    /**
     * 获取 [核保]脏标记
     */
    @JsonIgnore
    public boolean getHbDirtyFlag(){
        return this.HbDirtyFlag ;
    }

    /**
     * 获取 [建立时间]
     */
    @JsonProperty("createdate")
    public Timestamp getCreateDate(){
        return CreateDate ;
    }

    /**
     * 设置 [建立时间]
     */
    @JsonProperty("createdate")
    public void setCreateDate(Timestamp  createDate){
        this.CreateDate = createDate ;
        this.CreateDateDirtyFlag = true ;
    }

    /**
     * 获取 [建立时间]脏标记
     */
    @JsonIgnore
    public boolean getCreateDateDirtyFlag(){
        return this.CreateDateDirtyFlag ;
    }

    /**
     * 获取 [被保险人]
     */
    @JsonProperty("bbxr")
    public String getBbxr(){
        return Bbxr ;
    }

    /**
     * 设置 [被保险人]
     */
    @JsonProperty("bbxr")
    public void setBbxr(String  bbxr){
        this.Bbxr = bbxr ;
        this.BbxrDirtyFlag = true ;
    }

    /**
     * 获取 [被保险人]脏标记
     */
    @JsonIgnore
    public boolean getBbxrDirtyFlag(){
        return this.BbxrDirtyFlag ;
    }

    /**
     * 获取 [协议号]
     */
    @JsonProperty("xyh")
    public String getXyh(){
        return Xyh ;
    }

    /**
     * 设置 [协议号]
     */
    @JsonProperty("xyh")
    public void setXyh(String  xyh){
        this.Xyh = xyh ;
        this.XyhDirtyFlag = true ;
    }

    /**
     * 获取 [协议号]脏标记
     */
    @JsonIgnore
    public boolean getXyhDirtyFlag(){
        return this.XyhDirtyFlag ;
    }



}
